Subject: Re: [PATCH bpf-next v4 0/7] Add bpf programmable net device

From: Martin KaFai Lau <[email-masked]>
Date: Tue, 24 Oct 2023 15:45:58 -0700

On 10/24/23 2:48 PM, Daniel Borkmann wrote:
> This work adds a BPF programmable device which can operate in L3 or L2
> mode where the BPF program is part of the xmit routine. It's program
> management is done via bpf_mprog and it comes with BPF link support.
> For details see patch 1 and following. Thanks!

Thanks for the work on this. We have been testing the earlier version in a 
production service and we see at least 3% cpu win when comparing with veth.

Acked-by: Martin KaFai Lau <[email-masked]>